#!/bin/bash

# text settings
ORANGE='\033[0;33m'
NC='\033[0m' # No Color
BOLD=$(tput bold)
NORMAL=$(tput sgr0)

INSTALL="sudo pacman -S"
AUR_DOWNLOAD="cower -d"

INSTALL_DIR="./bspwm_install"

if [ -d $INSTALL_DIR ] then
  mkdir $INSTALL_DIR
fi


# install packages

# core
echo -e "Installing bspwm and sxhkd:"
$INSTALL bspwm sxhkd
echo -e "Installing xrandr gui:"
$INSTALL lxrandr
echo -e "Installing wmame:"
$INSTALL wmname
echo -e "Installing rofi:"
$INSTALL rofi
echo -e "Installing notification daemon"
$INSTALL notify-osd
echo -e "Installing i3lock for lockscreen:"
$INSTALL i3lock xautolock
# change background image
echo -e "Installing background image controller:"
$INSTALL feh
# audio and backlight control
echo -e "Installing audio and backlight controller:"
$INSTALL alsa-utils xorg-xbacklight
# modify key mapping
echo -e "Installing key mapping modifier:"
$INSTALL xorg-xmodmap
echo -e "Installing Compton (wm effects):"
$INSTALL compton
echo -e "Installing scort for screenshots:"
$INSTALL scrot
echo -e "${BOLD}You need to install Polybar from AUR"
$AUR_DOWNLOAD polybar -t $INSTALL_DIR

echo -e "${BOLD}You need to install the following fonts from AUR:${NORMAL}"
echo -e "${ORANGE} ttf-font-awesome${NC}"
echo -e "${ORANGE} ttf-material-design-icons${NC}"

$AUR_DOWNLOAD ttf-font-awesome -t $INSTALL_DIR
$AUR_DOWNLOAD ttf-material-design-icons -t $INSTALL_DIR

# link config files
# TODO

